Wersja API. Bez v używana jest najniższa obsługiwana wersja. Podaj v=1.0.0, aby zachować opisany kontrakt. Nieprawidłowe, powtórzone lub nieobsługiwane wartości zwracają HTTP 400.
Odpowiedź
200
Type: UserProfileResult
User profile.
response
Type: object
required
avatar
Type: string|null
required
banner
Type: string|null
required
created
Type: integer|null
required
Integer numbers.
id
Type: integer
min:
1
required
Numeric profile ID.
last_online
Type: integer|null
required
Integer numbers.
username
Type: string
required
uuid
Type: stringFormat: uuid
required
Account ID.
connections
Type: array ofobject
account_id
Type: string
required
account_level
Type: number|null
required
id
Type: integer
min:
1
required
Integer numbers.
name
Type: string|null
required
platform
Type: object|null
icon
Type: string|null
required
id
Type: integer
min:
1
required
Integer numbers.
name
Type: string
required
url
Type: string|null
required
application/json
400
Type: ErrorEnvelope
Nieprawidłowe parametry lub JSON. Sprawdź typy, wymagane pola i dozwolone wartości.
error
Type: object
required
code
Type: integer
required
Kod odpowiedzi HTTP.
message
Type: string
required
Komunikat w języku API. Treść może się zmieniać; obsługuj błędy na podstawie kodu odpowiedzi.
Profil użytkownika
LLMWyślij do LLM
PobierzPobierz
Profil użytkownika
Profil użytkownika
Zwraca dane profilu użytkownika.
Parametry URL
ID konta.
Parametry zapytania
Wersja API. Bez v używana jest najniższa obsługiwana wersja. Podaj v=1.0.0, aby zachować opisany kontrakt. Nieprawidłowe, powtórzone lub nieobsługiwane wartości zwracają HTTP 400.
Odpowiedź
User profile.
Integer numbers.
Numeric profile ID.
Integer numbers.
Account ID.
Integer numbers.
Integer numbers.
Nieprawidłowe parametry lub JSON. Sprawdź typy, wymagane pola i dozwolone wartości.
Kod odpowiedzi HTTP.
Komunikat w języku API. Treść może się zmieniać; obsługuj błędy na podstawie kodu odpowiedzi.
Dodatkowe szczegóły błędu, jeśli są dostępne.
User not found.
curl https://api.gamemonitoring.pl/users/ef57cc6f-f068-11ef-a5bf-d00d12c6f2dd{ "response": { "avatar": "447f9470-325b-4e0a-ada0-f4f1659ef805.png", "id": 1, "username": "GAMEMONITORING", "banner": "469ebf64-206c-4374-a742-7730ea227f95.webp", "connections": [ { "account_id": "76561197960287930", "account_level": 1, "id": 220354, "name": "Rabscuttle", "platform": { "icon": null, "id": 3, "name": "Steam", "url": "steam" } } ], "created": 1435235037, "last_online": 1793734264, "uuid": "ef57cc6f-f068-11ef-a5bf-d00d12c6f2dd" } }User profile.